CVE-2024-4315

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-4315
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-4315.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-4315
Aliases
Published
2024-06-12T01:15:49Z
Modified
2024-06-13T22:34:08.346424Z
Summary
[none]
Details

parisneo/lollms version 9.5 is vulnerable to Local File Inclusion (LFI) attacks due to insufficient path sanitization. The sanitize_path_from_endpoint function fails to properly sanitize Windows-style paths (backward slash \), allowing attackers to perform directory traversal attacks on Windows systems. This vulnerability can be exploited through various routes, including personalities and /del_preset, to read or delete any file on the Windows filesystem, compromising the system's availability.

References

Affected packages

Git / github.com/parisneo/lollms

Affected ranges

Type
GIT
Repo
https://github.com/parisneo/lollms
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

v5.*

v5.9.0